## sqlitebrowser 3.7.0

=== CMakeLists.txt ===
project(sqlitebrowser)
cmake_minimum_required(VERSION 2.8.7)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")

OPTION(USE_QT5 FALSE "Build with qt5")
OPTION(ENABLE_TESTING FALSE "Enable the unit tests")

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(WIN32 AND MSVC)
	if(CMAKE_CL_64)
		set(QT5_PATH "E:/Qt64/Qt5.4.1/5.4/msvc2013_64")
		set(SQLITE3_PATH "E:/libs/sqlite3_x64")
		set(OPENSSL_PATH "E:/libs/openssl-1.0.2a-x64_86-win64")
		set(VSREDIST "vcredist_x64.exe")
	else()
		set(QT5_PATH "E:/Qt/Qt5.4.1/5.4/msvc2013")
		set(SQLITE3_PATH "E:/libs/sqlite3")
		set(OPENSSL_PATH "E:/libs/openssl-1.0.2a-i386-win32")
		set(VSREDIST "vcredist_x86.exe")
	endif()
	set(USE_QT5 TRUE)
	set(CMAKE_PREFIX_PATH "${QT5_PATH};${SQLITE3_PATH}")
endif()

find_package(Antlr2)

set(QHEXEDIT_DIR libs/qhexedit)
set(QCUSTOMPLOT_DIR libs/qcustomplot-source)
set(QSCINTILLA_DIR libs/qscintilla/Qt4Qt5)

if(NOT ANTLR2_FOUND)
    set(ANTLR_DIR libs/antlr-2.7.7)
    add_subdirectory(${ANTLR_DIR})
endif()
add_subdirectory(${QHEXEDIT_DIR})
add_subdirectory(${QCUSTOMPLOT_DIR})
add_subdirectory(${QSCINTILLA_DIR})

if(USE_QT5)
	find_package(Qt5Widgets REQUIRED)
	find_package(Qt5LinguistTools REQUIRED)
    set(CMAKE_AUTOMOC ON)
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
else()
    find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork REQUIRED)
    include("${QT_USE_FILE}")
    add_definitions(${QT_DEFINITIONS})
endif()

if(ENABLE_TESTING)
    enable_testing()
endif()

set(SQLB_HDR
	src/version.h
	src/sqlitetypes.h
	src/csvparser.h
	src/sqlite.h
	src/grammar/sqlite3TokenTypes.hpp
	src/grammar/Sqlite3Lexer.hpp
	src/grammar/Sqlite3Parser.hpp
)

set(SQLB_MOC_HDR
	src/sqlitedb.h
	src/AboutDialog.h
	src/CreateIndexDialog.h
	src/EditDialog.h
	src/EditTableDialog.h
	src/ExportCsvDialog.h
	src/ExtendedTableWidget.h
	src/FilterTableHeader.h
	src/ImportCsvDialog.h
	src/MainWindow.h
	src/PreferencesDialog.h
	src/SqlExecutionArea.h
	src/VacuumDialog.h
	src/sqlitetablemodel.h
	src/sqltextedit.h
	src/DbStructureModel.h
	src/Application.h
	src/CipherDialog.h
	src/ExportSqlDialog.h
	src/SqlUiLexer.h
	src/FileDialog.h
)

set(SQLB_SRC
	src/AboutDialog.cpp
	src/CreateIndexDialog.cpp
	src/EditDialog.cpp
	src/EditTableDialog.cpp
	src/ExportCsvDialog.cpp
	src/ExtendedTableWidget.cpp
	src/FilterTableHeader.cpp
	src/ImportCsvDialog.cpp
	src/MainWindow.cpp
	src/PreferencesDialog.cpp
	src/SqlExecutionArea.cpp
	src/VacuumDialog.cpp
	src/sqlitedb.cpp
	src/sqlitetablemodel.cpp
	src/sqlitetypes.cpp
	src/sqltextedit.cpp
	src/csvparser.cpp
	src/DbStructureModel.cpp
	src/grammar/Sqlite3Lexer.cpp
	src/grammar/Sqlite3Parser.cpp
	src/main.cpp
	src/Application.cpp
	src/CipherDialog.cpp
	src/ExportSqlDialog.cpp
	src/SqlUiLexer.cpp
	src/FileDialog.cpp
)

set(SQLB_FORMS
	src/AboutDialog.ui
	src/CreateIndexDialog.ui
	src/EditDialog.ui
	src/EditTableDialog.ui
	src/ExportCsvDialog.ui
	src/ImportCsvDialog.ui
	src/MainWindow.ui
	src/PreferencesDialog.ui
	src/SqlExecutionArea.ui
	src/VacuumDialog.ui
	src/CipherDialog.ui
	src/ExportSqlDialog.ui
)

set(SQLB_RESOURCES
	src/icons/icons.qrc
	src/translations/flags/flags.qrc
	src/translations/translations.qrc
)

set(SQLB_MISC
    src/grammar/sqlite3.g
)

# Translation files
set(SQLB_TSS
	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_zh.ts"
	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_de.ts"
	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_fr.ts"
	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_ru.ts"
	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_pt_BR.ts"
	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_en_GB.ts"
)

if(USE_QT5)
    qt5_wrap_ui(SQLB_FORM_HDR ${SQLB_FORMS})
    if(SQLB_TSS)
        # add translations
        foreach(SQLB_TS ${SQLB_TSS})
            SET_SOURCE_FILES_PROPERTIES("${SQLB_TS}" PROPERTIES OUTPUT_LOCATION "${CMAKE_SOURCE_DIR}/src/translations")
        endforeach(SQLB_TS ${SQLB_TSS})
        qt5_add_translation(SQLB_QMS ${SQLB_TSS})
    endif(SQLB_TSS)
    qt5_add_resources(SQLB_RESOURCES_RCC ${SQLB_RESOURCES})
else()
    QT4_WRAP_CPP(SQLB_MOC ${SQLB_MOC_HDR})
    QT4_WRAP_UI(SQLB_FORM_HDR ${SQLB_FORMS})
    if(SQLB_TSS)
        # add translations
        foreach(SQLB_TS ${SQLB_TSS})
            SET_SOURCE_FILES_PROPERTIES("${SQLB_TS}" PROPERTIES OUTPUT_LOCATION "${CMAKE_SOURCE_DIR}/src/translations")
        endforeach(SQLB_TS ${SQLB_TSS})
        QT4_ADD_TRANSLATION(SQLB_QMS ${SQLB_TSS})
    endif(SQLB_TSS)
    QT4_ADD_RESOURCES(SQLB_RESOURCES_RCC ${SQLB_RESOURCES})
endif()


#icon and correct libs/subsystem for windows
if(WIN32)
        #enable version check for windows
        add_definitions(-DCHECKNEWVERSION)

	IF( MINGW )
	# resource compilation for MinGW
		ADD_CUSTOM_COMMAND(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/sqlbicon.o"
			COMMAND windres "-I${CMAKE_CURRENT_SOURCE_DIR}" "-i${CMAKE_CURRENT_SOURCE_DIR}/src/winapp.rc" -o "${CMAKE_CURRENT_BINARY_DIR}/sqlbicon.o" VERBATIM)
		set(SQLB_SRC ${SQLB_SRC} "${CMAKE_CURRENT_BINARY_DIR}/sqlbicon.o")
		set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-subsystem,windows")
		set(WIN32_STATIC_LINK -Wl,-Bstatic -lssl -lcrypto -lws2_32)
		set(ADDITIONAL_LIBS lcms lzma)
	ELSE( MINGW )
		set(SQLB_SRC ${SQLB_SRC} "${CMAKE_CURRENT_SOURCE_DIR}/src/winapp.rc")
	ENDIF( MINGW )
endif(WIN32)

#enable version check for MacOS
if(APPLE)
	add_definitions(-DCHECKNEWVERSION)
endif(APPLE)

# SQLCipher option
if(sqlcipher)
	add_definitions(-DENABLE_SQLCIPHER)
	set(LIBSQLITE_NAME sqlcipher)
else(sqlcipher)
	set(LIBSQLITE_NAME sqlite3)
endif(sqlcipher)

# add extra library path for MacOS and FreeBSD
set(EXTRAPATH APPLE OR ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
if(EXTRAPATH) 
	find_library(LIBSQLITE ${LIBSQLITE_NAME} HINTS /usr/local/lib /usr/local/opt/sqlite/lib)
	set(ADDITIONAL_INCLUDE_PATHS /usr/local/include /usr/local/opt/sqlite/include)
else(EXTRAPATH)
	find_library(LIBSQLITE ${LIBSQLITE_NAME})
endif(EXTRAPATH)

if(WIN32 AND MSVC)
	find_path(SQLITE3_INCLUDE_DIR sqlite3.h)
	find_file(SQLITE3_DLL sqlite3.dll)
	include_directories(${SQLITE3_INCLUDE_DIR})
endif()

include_directories(
		"${CMAKE_CURRENT_BINARY_DIR}"
		${QHEXEDIT_DIR}
		${QCUSTOMPLOT_DIR}
		${QSCINTILLA_DIR}
		${ADDITIONAL_INCLUDE_PATHS}
		src)
if(ANTLR2_FOUND)
    include_directories(${ANTLR2_INCLUDE_DIRS})
else()
    include_directories(${ANTLR_DIR})
endif()

add_executable(${PROJECT_NAME}
		${SQLB_HDR}
		${SQLB_SRC}
		${SQLB_FORM_HDR}
		${SQLB_MOC}
		${SQLB_RESOURCES_RCC}
		${SQLB_MISC})

if(USE_QT5)
    qt5_use_modules(${PROJECT_NAME} Gui Widgets Network Test PrintSupport)
    set(QT_LIBRARIES "")
endif()
add_dependencies(${PROJECT_NAME} qhexedit qcustomplot qscintilla2)
if(NOT ANTLR2_FOUND)
    add_dependencies(${PROJECT_NAME} antlr)
endif()

link_directories(
		"${CMAKE_CURRENT_BINARY_DIR}/${ANTLR_DIR}"
		"${CMAKE_CURRENT_BINARY_DIR}/${QHEXEDIT_DIR}"
		"${CMAKE_CURRENT_BINARY_DIR}/${QCUSTOMPLOT_DIR}"
		"${CMAKE_CURRENT_BINARY_DIR}/${QSCINTILLA_DIR}")
if(NOT ANTLR2_FOUND)
    link_directories("${CMAKE_CURRENT_BINARY_DIR}/${ANTLR_DIR}")
endif()

target_link_libraries(${PROJECT_NAME}
		qhexedit
		qcustomplot
		qscintilla2
		${QT_LIBRARIES}
		${WIN32_STATIC_LINK}
		${LIBSQLITE}
		${ADDITIONAL_LIBS})
if(ANTLR2_FOUND)
    target_link_libraries(${PROJECT_NAME} ${ANTLR2_LIBRARIES})
else()
    target_link_libraries(${PROJECT_NAME} antlr)
endif()

if(WIN32 AND MSVC)
	set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS_DEBUG "/SUBSYSTEM:CONSOLE")
	set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_DEFINITIONS_DEBUG "_CONSOLE")
	set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS_RELWITHDEBINFO "/SUBSYSTEM:CONSOLE")
	set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_DEFINITIONS_RELWITHDEBINFO "_CONSOLE")
	set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS_RELEASE "/SUBSYSTEM:WINDOWS /ENTRY:mainCRTStartup")
	set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS_MINSIZEREL "/SUBSYSTEM:WINDOWS")
	set(CMAKE_GENERATOR_TOOLSET "v120_xp" CACHE STRING "Platform Toolset" FORCE)
endif()

install(TARGETS ${PROJECT_NAME}
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib)
	

if(ENABLE_TESTING)
	add_subdirectory(src/tests)
endif()

if(UNIX AND NOT APPLE)
	install(FILES src/icons/${PROJECT_NAME}.png
		DESTINATION share/icons/hicolor/256x256/apps/)
	
	install(FILES distri/${PROJECT_NAME}.desktop
		DESTINATION share/applications/)

	install(FILES distri/${PROJECT_NAME}.desktop.appdata.xml
		DESTINATION share/appdata/)
endif(UNIX AND NOT APPLE)

if(WIN32 AND MSVC)
	set(QT5_BIN_PATH ${QT5_PATH}/bin)
	install(FILES
			${QT5_BIN_PATH}/Qt5Core.dll
			${QT5_BIN_PATH}/Qt5Gui.dll
			${QT5_BIN_PATH}/Qt5Network.dll
			${QT5_BIN_PATH}/Qt5PrintSupport.dll
			${QT5_BIN_PATH}/Qt5Widgets.dll
			${QT5_BIN_PATH}/icudt53.dll
			${QT5_BIN_PATH}/icuin53.dll
			${QT5_BIN_PATH}/icuuc53.dll
			${SQLITE3_DLL}
			${OPENSSL_PATH}/libeay32.dll
			${OPENSSL_PATH}/ssleay32.dll
		DESTINATION bin)
	install(FILES
		${QT5_PATH}/plugins/platforms/qwindows.dll
		DESTINATION bin/platforms)

	install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/deps/${VSREDIST} DESTINATION tmp)
endif()

#cpack
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "DB Browser for SQLite")
set(CPACK_PACKAGE_VENDOR "oldsch00l")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
set(CPACK_PACKAGE_VERSION_MAJOR "3")
set(CPACK_PACKAGE_VERSION_MINOR "7")
set(CPACK_PACKAGE_VERSION_PATCH "0")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "SqliteBrowser${CPACK_PACKAGE_VERSION_MAJOR}")
if(WIN32 AND NOT UNIX)
	# There is a bug in NSI that does not handle full unix paths properly. Make
	# sure there is at least one set of four (4) backlasshes.
	set(CPACK_PACKAGE_ICON "${CMAKE_CURRENT_SOURCE_DIR}\\\\src\\\\iconwin.ico")
	set(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\sqlitebrowser.exe")
	set(CPACK_NSIS_DISPLAY_NAME "DB Browser for SQLite")
	set(CPACK_NSIS_HELP_LINK "https:\\\\\\\\github.com\\\\sqlitebrowser\\\\sqlitebrowser")
	set(CPACK_NSIS_URL_INFO_ABOUT "https:\\\\\\\\github.com\\\\sqlitebrowser\\\\sqlitebrowser")
	set(CPACK_NSIS_CONTACT "peinthor@gmail.com")
	set(CPACK_NSIS_MODIFY_PATH OFF)
	set(CPACK_NSIS_ENABLE_UNINSTALL_BEFORE_INSTALL ON)
	set(CPACK_NSIS_MUI_FINISHPAGE_RUN "sqlitebrowser.exe")

	# VS redist
	list(APPEND CPACK_NSIS_EXTRA_INSTALL_COMMANDS "
               ExecWait '$INSTDIR\\\\tmp\\\\${VSREDIST} /install /passive /quiet'
               Delete '$INSTDIR\\\\tmp\\\\${VSREDIST}'
               ")
else(WIN32 AND NOT UNIX)
	set(CPACK_STRIP_FILES "bin/sqlitebrowser")
	set(CPACK_SOURCE_STRIP_FILES "")
endif(WIN32 AND NOT UNIX)
set(CPACK_PACKAGE_EXECUTABLES "sqlitebrowser" "SqliteBrowser")
include(CPack)

=== libs/antlr-2.7.7/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(ANTLR_SRC
		src/ANTLRUtil.cpp
		src/ASTFactory.cpp
		src/ASTNULLType.cpp
		src/ASTRefCount.cpp
		src/BaseAST.cpp
		src/BitSet.cpp
		src/CharBuffer.cpp
		src/CharScanner.cpp
		src/CommonAST.cpp
		src/CommonASTWithHiddenTokens.cpp
		src/CommonHiddenStreamToken.cpp
		src/CommonToken.cpp
		src/InputBuffer.cpp
		src/LLkParser.cpp
		src/MismatchedCharException.cpp
		src/MismatchedTokenException.cpp
		src/NoViableAltException.cpp
		src/NoViableAltForCharException.cpp
		src/Parser.cpp
		src/RecognitionException.cpp
		src/String.cpp
		src/Token.cpp
		src/TokenBuffer.cpp
		src/TokenRefCount.cpp
		src/TokenStreamBasicFilter.cpp
		src/TokenStreamHiddenTokenFilter.cpp
		src/TokenStreamRewriteEngine.cpp
		src/TokenStreamSelector.cpp
		src/TreeParser.cpp
		)

set(ANTLR_HDR
		antlr/ANTLRException.hpp
		antlr/ANTLRUtil.hpp
		antlr/AST.hpp
		antlr/ASTArray.hpp
		antlr/ASTFactory.hpp
		antlr/ASTNULLType.hpp
		antlr/ASTPair.hpp
		antlr/ASTRefCount.hpp
		antlr/BaseAST.hpp
		antlr/BitSet.hpp
		antlr/CharBuffer.hpp
		antlr/CharInputBuffer.hpp
		antlr/CharScanner.hpp
		antlr/CharStreamException.hpp
		antlr/CharStreamIOException.hpp
		antlr/CircularQueue.hpp
		antlr/CommonAST.hpp
		antlr/CommonASTWithHiddenTokens.hpp
		antlr/CommonHiddenStreamToken.hpp
		antlr/CommonToken.hpp
		antlr/IOException.hpp
		antlr/InputBuffer.hpp
		antlr/LLkParser.hpp
		antlr/LexerSharedInputState.hpp
		antlr/MismatchedCharException.hpp
		antlr/MismatchedTokenException.hpp
		antlr/NoViableAltException.hpp
		antlr/NoViableAltForCharException.hpp
		antlr/Parser.hpp
		antlr/ParserSharedInputState.hpp
		antlr/RecognitionException.hpp
		antlr/RefCount.hpp
		antlr/SemanticException.hpp
		antlr/String.hpp
		antlr/Token.hpp
		antlr/TokenBuffer.hpp
		antlr/TokenRefCount.hpp
		antlr/TokenStream.hpp
		antlr/TokenStreamBasicFilter.hpp
		antlr/TokenStreamException.hpp
		antlr/TokenStreamHiddenTokenFilter.hpp
		antlr/TokenStreamIOException.hpp
		antlr/TokenStreamRecognitionException.hpp
		antlr/TokenStreamRetryException.hpp
		antlr/TokenStreamRewriteEngine.hpp
		antlr/TokenStreamSelector.hpp
		antlr/TokenWithIndex.hpp
		antlr/TreeParser.hpp
		antlr/TreeParserSharedInputState.hpp
		antlr/config.hpp
		)

include_directories(.)

add_library(antlr ${ANTLR_SRC} ${ANTLR_HDR})

=== src/tests/CMakeLists.txt ===
if(USE_QT5)
else()
    find_package(Qt4 COMPONENTS QtTest REQUIRED)
    include("${QT_USE_FILE}")
    add_definitions(${QT_DEFINITIONS})
endif()

include_directories("${CMAKE_CURRENT_BINARY_DIR}" ..)

# test-sqlobjects

set(TESTSQLOBJECTS_SRC
	../sqlitedb.cpp
	../sqlitetablemodel.cpp
	../sqlitetypes.cpp
	../csvparser.cpp
	../grammar/Sqlite3Lexer.cpp
	../grammar/Sqlite3Parser.cpp
	../PreferencesDialog.cpp
	testsqlobjects.cpp
	../FileDialog.cpp
)

set(TESTSQLOBJECTS_HDR
	../grammar/sqlite3TokenTypes.hpp
	../grammar/Sqlite3Lexer.hpp
	../grammar/Sqlite3Parser.hpp
	../sqlitetypes.h)

set(TESTSQLOBJECTS_FORMS
	../PreferencesDialog.ui)

set(TESTSQLOBJECTS_MOC_HDR
	../sqlitedb.h
	../sqlitetablemodel.h
	../PreferencesDialog.h
	testsqlobjects.h
	../FileDialog.h
)

if(sqlcipher)
    list(APPEND TESTSQLOBJECTS_SRC ../CipherDialog.cpp)
    list(APPEND TESTSQLOBJECTS_FORMS ../CipherDialog.ui)
    list(APPEND TESTSQLOBJECTS_MOC_HDR ../CipherDialog.h)
endif()

if(USE_QT5)
    QT5_WRAP_UI(TESTSQLOBJECTS_FORM_HDR ${TESTSQLOBJECTS_FORMS})
else()
    QT4_WRAP_CPP(TESTSQLOBJECTS_MOC ${TESTSQLOBJECTS_MOC_HDR})
    QT4_WRAP_UI(TESTSQLOBJECTS_FORM_HDR ${TESTSQLOBJECTS_FORMS})
endif()

add_executable(test-sqlobjects ${TESTSQLOBJECTS_MOC} ${TESTSQLOBJECTS_HDR} ${TESTSQLOBJECTS_SRC} ${TESTSQLOBJECTS_FORM_HDR})

if(USE_QT5)
    qt5_use_modules(test-sqlobjects Test Widgets Gui)
    set(QT_LIBRARIES "")
endif()

if(ANTLR2_FOUND)
else()
    add_dependencies(test-sqlobjects antlr)
endif()
target_link_libraries(test-sqlobjects ${QT_LIBRARIES} ${LIBSQLITE})
if(ANTLR2_FOUND)
    target_link_libraries(test-sqlobjects ${ANTLR2_LIBRARIES})
else()
    target_link_libraries(test-sqlobjects antlr)
endif()
add_test(test-sqlobjects test-sqlobjects)

# test-import

set(TESTIMPORT_SRC
	../csvparser.cpp
	TestImport.cpp
)

set(TESTIMPORT_MOC_HDR
	TestImport.h
)

if(USE_QT5)
else()
    QT4_WRAP_CPP(TESTIMPORT_MOC ${TESTIMPORT_MOC_HDR})
endif()

add_executable(test-import ${TESTIMPORT_MOC} ${TESTIMPORT_SRC})

if(USE_QT5)
    qt5_use_modules(test-import Test Core)
    set(QT_LIBRARIES "")
endif()

target_link_libraries(test-import ${QT_LIBRARIES})
add_test(test-import test-import)

=== libs/qscintilla/Qt4Qt5/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.7)

if(USE_QT5)
    set(CMAKE_AUTOMOC ON)
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
    find_package(Qt5Widgets REQUIRED)
else()
    find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
    include("${QT_USE_FILE}")
    add_definitions(${QT_DEFINITIONS})
endif()

add_definitions(-DSCINTILLA_QT)
add_definitions(-DSCI_LEXER)

set(QSCINTILLA_SRC
	qsciscintilla.cpp
	qsciscintillabase.cpp
	qsciabstractapis.cpp
	qsciapis.cpp
	qscicommand.cpp
	qscicommandset.cpp
	qscidocument.cpp
	qscilexer.cpp
	qscilexersql.cpp
	qscimacro.cpp
	qsciprinter.cpp
	qscistyle.cpp
	qscistyledtext.cpp
	MacPasteboardMime.cpp
	InputMethod.cpp
	SciClasses.cpp
	ListBoxQt.cpp
	PlatQt.cpp
	ScintillaQt.cpp
	../lexers/LexSQL.cpp
	../lexlib/Accessor.cpp
	../lexlib/CharacterCategory.cpp
	../lexlib/CharacterSet.cpp
	../lexlib/LexerBase.cpp
	../lexlib/LexerModule.cpp
	../lexlib/LexerNoExceptions.cpp
	../lexlib/LexerSimple.cpp
	../lexlib/PropSetSimple.cpp
	../lexlib/StyleContext.cpp
	../lexlib/WordList.cpp
	../src/AutoComplete.cpp
	../src/CallTip.cpp
	../src/CaseConvert.cpp
	../src/CaseFolder.cpp
	../src/Catalogue.cpp
	../src/CellBuffer.cpp
	../src/CharClassify.cpp
	../src/ContractionState.cpp
	../src/Decoration.cpp
	../src/Document.cpp
	../src/Editor.cpp
	../src/EditModel.cpp
	../src/EditView.cpp
	../src/ExternalLexer.cpp
	../src/Indicator.cpp
	../src/KeyMap.cpp
	../src/LineMarker.cpp
	../src/MarginView.cpp
	../src/PerLine.cpp
	../src/PositionCache.cpp
	../src/RESearch.cpp
	../src/RunStyles.cpp
	../src/ScintillaBase.cpp
	../src/Selection.cpp
	../src/Style.cpp
	../src/UniConversion.cpp
	../src/ViewStyle.cpp
	../src/XPM.cpp
)

set(QSCINTILLA_HDR
	./Qsci/qsciglobal.h
	./Qsci/qscicommand.h
	./Qsci/qscicommandset.h
	./Qsci/qscidocument.h
	./Qsci/qsciprinter.h
	./Qsci/qscistyle.h
	./Qsci/qscistyledtext.h
	ListBoxQt.h
	SciNamespace.h
	../include/ILexer.h
	../include/Platform.h
	../include/SciLexer.h
	../include/Scintilla.h
	../include/ScintillaWidget.h
	../lexlib/Accessor.h
	../lexlib/CharacterCategory.h
	../lexlib/CharacterSet.h
	../lexlib/LexAccessor.h
	../lexlib/LexerBase.h
	../lexlib/LexerModule.h
	../lexlib/LexerNoExceptions.h
	../lexlib/LexerSimple.h
	../lexlib/OptionSet.h
	../lexlib/PropSetSimple.h
	../lexlib/StyleContext.h
	../lexlib/SubStyles.h
	../lexlib/WordList.h
	../src/AutoComplete.h
	../src/CallTip.h
	../src/CaseConvert.h
	../src/CaseFolder.h
	../src/Catalogue.h
	../src/CellBuffer.h
	../src/CharClassify.h
	../src/ContractionState.h
	../src/Decoration.h
	../src/Document.h
	../src/Editor.h
	../src/ExternalLexer.h
	../src/FontQuality.h
	../src/Indicator.h
	../src/KeyMap.h
	../src/LineMarker.h
	../src/Partitioning.h
	../src/PerLine.h
	../src/PositionCache.h
	../src/RESearch.h
	../src/RunStyles.h
	../src/ScintillaBase.h
	../src/Selection.h
	../src/SplitVector.h
	../src/Style.h
	../src/UnicodeFromUTF8.h
	../src/UniConversion.h
	../src/ViewStyle.h
	../src/XPM.h
)

set(QSCINTILLA_MOC_HDR
	./Qsci/qsciscintilla.h
	./Qsci/qsciscintillabase.h
	./Qsci/qsciabstractapis.h
	./Qsci/qsciapis.h
	./Qsci/qscilexer.h
	./Qsci/qscilexersql.h
	./Qsci/qscimacro.h
	SciClasses.h
	ScintillaQt.h
)

if(NOT USE_QT5)
    QT4_WRAP_CPP(QSCINTILLA_MOC ${QSCINTILLA_MOC_HDR})
endif()

include_directories(. ../include ../lexlib ../src)

add_library(qscintilla2 ${QSCINTILLA_SRC} ${QSCINTILLA_HDR} ${QSCINTILLA_MOC_HDR} ${QSCINTILLA_MOC})

if(USE_QT5)
    qt5_use_modules(qscintilla2 Widgets PrintSupport)
endif()

=== debian/changelog ===
sqlitebrowser (3.7.0-1b2) staging; urgency=high

  * Increase version again to work around queue issues

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 19 Mar 2016 00:50:07 +0000

sqlitebrowser (3.7.0-1b1) staging; urgency=high

  * No-change rebuild against libqscintilla2-12v5

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 19 Mar 2016 00:50:07 +0000

sqlitebrowser (3.7.0-1) unstable; urgency=medium

  * New upstream version
  * Rebase patch
  * Add build-dep on libqt5scintilla2-dev
  * Remove most overrides, run tests using the new method

 -- Arto Jantunen <viiru@debian.org>  Sun, 20 Dec 2015 13:06:23 +0200

## sqlitebrowser 3.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,12 +12,12 @@
 
 if(WIN32 AND MSVC)
 	if(CMAKE_CL_64)
-		set(QT5_PATH "E:/Qt64/Qt5.4.1/5.4/msvc2013_64")
+		set(QT5_PATH "E:/Qt64/Qt5.5.1/5.5/msvc2013_64")
 		set(SQLITE3_PATH "E:/libs/sqlite3_x64")
 		set(OPENSSL_PATH "E:/libs/openssl-1.0.2a-x64_86-win64")
 		set(VSREDIST "vcredist_x64.exe")
 	else()
-		set(QT5_PATH "E:/Qt/Qt5.4.1/5.4/msvc2013")
+		set(QT5_PATH "E:/Qt/Qt5.5.1/5.5/msvc2013")
 		set(SQLITE3_PATH "E:/libs/sqlite3")
 		set(OPENSSL_PATH "E:/libs/openssl-1.0.2a-i386-win32")
 		set(VSREDIST "vcredist_x86.exe")
@@ -87,6 +87,8 @@
 	src/ExportSqlDialog.h
 	src/SqlUiLexer.h
 	src/FileDialog.h
+	src/ColumnDisplayFormatDialog.h
+	src/FilterLineEdit.h
 )
 
 set(SQLB_SRC
@@ -116,6 +118,8 @@
 	src/ExportSqlDialog.cpp
 	src/SqlUiLexer.cpp
 	src/FileDialog.cpp
+	src/ColumnDisplayFormatDialog.cpp
+	src/FilterLineEdit.cpp
 )
 
 set(SQLB_FORMS
@@ -131,6 +135,7 @@
 	src/VacuumDialog.ui
 	src/CipherDialog.ui
 	src/ExportSqlDialog.ui
+	src/ColumnDisplayFormatDialog.ui
 )
 
 set(SQLB_RESOURCES
@@ -146,6 +151,7 @@
 # Translation files
 set(SQLB_TSS
 	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_zh.ts"
+	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_zh_TW.ts"
 	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_de.ts"
 	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_fr.ts"
 	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_ru.ts"
@@ -314,9 +320,9 @@
 			${QT5_BIN_PATH}/Qt5Network.dll
 			${QT5_BIN_PATH}/Qt5PrintSupport.dll
 			${QT5_BIN_PATH}/Qt5Widgets.dll
-			${QT5_BIN_PATH}/icudt53.dll
-			${QT5_BIN_PATH}/icuin53.dll
-			${QT5_BIN_PATH}/icuuc53.dll
+			${QT5_BIN_PATH}/icudt54.dll
+			${QT5_BIN_PATH}/icuin54.dll
+			${QT5_BIN_PATH}/icuuc54.dll
 			${SQLITE3_DLL}
 			${OPENSSL_PATH}/libeay32.dll
 			${OPENSSL_PATH}/ssleay32.dll
@@ -334,7 +340,7 @@
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
 set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
 set(CPACK_PACKAGE_VERSION_MAJOR "3")
-set(CPACK_PACKAGE_VERSION_MINOR "7")
+set(CPACK_PACKAGE_VERSION_MINOR "8")
 set(CPACK_PACKAGE_VERSION_PATCH "0")
 set(CPACK_PACKAGE_INSTALL_DIRECTORY "SqliteBrowser${CPACK_PACKAGE_VERSION_MAJOR}")
 if(WIN32 AND NOT UNIX)

=== src/tests/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,8 @@
 	../PreferencesDialog.cpp
 	testsqlobjects.cpp
 	../FileDialog.cpp
+	../sqltextedit.cpp
+	../SqlUiLexer.cpp
 )
 
 set(TESTSQLOBJECTS_HDR
@@ -36,6 +38,8 @@
 	../PreferencesDialog.h
 	testsqlobjects.h
 	../FileDialog.h
+	../sqltextedit.h
+	../SqlUiLexer.h
 )
 
 if(sqlcipher)
@@ -68,6 +72,10 @@
 else()
     target_link_libraries(test-sqlobjects antlr)
 endif()
+link_directories("${CMAKE_CURRENT_BINARY_DIR}/${QSCINTILLA_DIR}")
+add_dependencies(test-sqlobjects qscintilla2)
+target_link_libraries(test-sqlobjects
+		qscintilla2)
 add_test(test-sqlobjects test-sqlobjects)
 
 # test-import

=== debian/changelog ===
sqlitebrowser (3.8.0-1) unstable; urgency=medium

  * New upstream version
  * Update patch 0001 to note that scintilla is now also used for the tests

 -- Arto Jantunen <viiru@debian.org>  Sat, 06 Aug 2016 16:52:40 +0300

=== debian/control ===
Source: sqlitebrowser
Section: database
Priority: extra
Maintainer: Arto Jantunen <viiru@debian.org>
Build-Depends: debhelper (>= 9), qtbase5-dev, libsqlite3-dev, cmake, libantlr-dev, libqcustomplot-dev, qttools5-dev, qttools5-dev-tools, libqt5scintilla2-dev
Standards-Version: 3.9.6.0
Homepage: http://sqlitebrowser.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sqlitebrowser.git
Vcs-Git: git://anonscm.debian.org/collab-maint/sqlitebrowser.git

Package: sqlitebrowser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GUI editor for SQLite databases
 SQLite Database Browser is a visual tool used to create, design and edit
 database files compatible with SQLite. Its interface is based on QT,
 and is meant to be used for users and developers that want to create
 databases, edit and search data using a familiar spreadsheet-like
 interface, without the need to learn complicated SQL commands.
 Controls and wizards are available for users to:
  - Create and compact database files
  - Create, define, modify and delete tables
  - Create, define and delete indexes
  - Browse, edit, add and delete records
  - Search records
  - Import and export records as text
  - Import and export tables from/to CSV files
  - Import and export databases from/to SQL dump files
  - Issue SQL queries and inspect the results
  - Examine a log of all SQL commands issued by the application
 .
 SQLite Database Browser is not a visual shell for the sqlite command line
 tool. It does not require familiarity with SQL commands.

## sqlitebrowser 3.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-project(sqlitebrowser)
+project("DB Browser for SQLite")
 cmake_minimum_required(VERSION 2.8.7)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
@@ -12,18 +12,35 @@
 
 if(WIN32 AND MSVC)
 	if(CMAKE_CL_64)
-		set(QT5_PATH "E:/Qt64/Qt5.5.1/5.5/msvc2013_64")
-		set(SQLITE3_PATH "E:/libs/sqlite3_x64")
-		set(OPENSSL_PATH "E:/libs/openssl-1.0.2a-x64_86-win64")
+		# Paths for 64-bit windows builds
+		set(OPENSSL_PATH "C:/dev/OpenSSL-Win64")
+		set(QT5_PATH "C:/dev/Qt/5.7/msvc2013_64")
 		set(VSREDIST "vcredist_x64.exe")
+
+                # Choose between SQLCipher or SQLite, depending whether
+                # -Dsqlcipher=1 is passed on the command line
+                if(sqlcipher)
+                        set(SQLITE3_PATH "C:/git_repos/sqlcipher")
+                else()
+                        set(SQLITE3_PATH "C:/dev/SQLite-Win64")
+                endif()
 	else()
-		set(QT5_PATH "E:/Qt/Qt5.5.1/5.5/msvc2013")
-		set(SQLITE3_PATH "E:/libs/sqlite3")
-		set(OPENSSL_PATH "E:/libs/openssl-1.0.2a-i386-win32")
+		# Paths for 32-bit windows builds
+		set(OPENSSL_PATH "C:/dev/OpenSSL-Win32")
+		set(QT5_PATH "C:/dev/Qt/5.7/msvc2013")
 		set(VSREDIST "vcredist_x86.exe")
+
+                # Choose between SQLCipher or SQLite, depending whether
+                # -Dsqlcipher=1 is passed on the command line
+                if(sqlcipher)
+                        set(SQLITE3_PATH "C:/git_repos/sqlcipher")
+                else()
+                        set(SQLITE3_PATH "C:/dev/SQLite-Win32")
+                endif()
 	endif()
+	set(CMAKE_PREFIX_PATH "${QT5_PATH};${SQLITE3_PATH}")
 	set(USE_QT5 TRUE)
-	set(CMAKE_PREFIX_PATH "${QT5_PATH};${SQLITE3_PATH}")
+	set(VSREDIST_DIR "C:/dev/dependencies")
 endif()
 
 find_package(Antlr2)
@@ -150,13 +167,17 @@
 
 # Translation files
 set(SQLB_TSS
+	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_ar_SA.ts"
 	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_zh.ts"
 	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_zh_TW.ts"
 	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_de.ts"
+	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_es_ES.ts"
 	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_fr.ts"
 	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_ru.ts"
 	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_pt_BR.ts"
 	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_en_GB.ts"
+	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_ko_KR.ts"
+	"${CMAKE_SOURCE_DIR}/src/translations/sqlb_tr.ts"
 )
 
 if(USE_QT5)
@@ -195,7 +216,7 @@
 		set(SQLB_SRC ${SQLB_SRC} "${CMAKE_CURRENT_BINARY_DIR}/sqlbicon.o")
 		set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-subsystem,windows")
 		set(WIN32_STATIC_LINK -Wl,-Bstatic -lssl -lcrypto -lws2_32)
-		set(ADDITIONAL_LIBS lcms lzma)
+		set(ADDITIONAL_LIBS lzma)
 	ELSE( MINGW )
 		set(SQLB_SRC ${SQLB_SRC} "${CMAKE_CURRENT_SOURCE_DIR}/src/winapp.rc")
 	ENDIF( MINGW )
@@ -216,7 +237,7 @@
 
 # add extra library path for MacOS and FreeBSD
 set(EXTRAPATH APPLE OR ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
-if(EXTRAPATH) 
+if(EXTRAPATH)
 	find_library(LIBSQLITE ${LIBSQLITE_NAME} HINTS /usr/local/lib /usr/local/opt/sqlite/lib)
 	set(ADDITIONAL_INCLUDE_PATHS /usr/local/include /usr/local/opt/sqlite/include)
 else(EXTRAPATH)
@@ -225,7 +246,11 @@
 
 if(WIN32 AND MSVC)
 	find_path(SQLITE3_INCLUDE_DIR sqlite3.h)
-	find_file(SQLITE3_DLL sqlite3.dll)
+	if(sqlcipher)
+		find_file(SQLITE3_DLL sqlcipher.dll)
+	else(sqlcipher)
+		find_file(SQLITE3_DLL sqlite3.dll)
+	endif(sqlcipher)
 	include_directories(${SQLITE3_INCLUDE_DIR})
 endif()
 
@@ -289,13 +314,13 @@
 	set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_DEFINITIONS_RELWITHDEBINFO "_CONSOLE")
 	set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS_RELEASE "/SUBSYSTEM:WINDOWS /ENTRY:mainCRTStartup")
 	set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS_MINSIZEREL "/SUBSYSTEM:WINDOWS")
-	set(CMAKE_GENERATOR_TOOLSET "v120_xp" CACHE STRING "Platform Toolset" FORCE)
-endif()
-
+endif()
+
+if(NOT WIN32)
 install(TARGETS ${PROJECT_NAME}
 	RUNTIME DESTINATION bin
 	LIBRARY DESTINATION lib)
-	
+endif()
 
 if(ENABLE_TESTING)
 	add_subdirectory(src/tests)
@@ -313,57 +338,66 @@
 endif(UNIX AND NOT APPLE)
 
 if(WIN32 AND MSVC)
+	install(TARGETS ${PROJECT_NAME}
+		RUNTIME DESTINATION "/"
+		LIBRARY DESTINATION lib)
+
 	set(QT5_BIN_PATH ${QT5_PATH}/bin)
+	# The Qt5 Debug configuration library files have a 'd' postfix
+	install(FILES
+			${QT5_BIN_PATH}/Qt5Cored.dll
+			${QT5_BIN_PATH}/Qt5Guid.dll
+			${QT5_BIN_PATH}/Qt5Networkd.dll
+			${QT5_BIN_PATH}/Qt5PrintSupportd.dll
+			${QT5_BIN_PATH}/Qt5Widgetsd.dll
+		DESTINATION "/"
+		CONFIGURATIONS Debug)
+	# The Qt5 Release configuration files don't have a postfix
 	install(FILES
 			${QT5_BIN_PATH}/Qt5Core.dll
 			${QT5_BIN_PATH}/Qt5Gui.dll
 			${QT5_BIN_PATH}/Qt5Network.dll
 			${QT5_BIN_PATH}/Qt5PrintSupport.dll
 			${QT5_BIN_PATH}/Qt5Widgets.dll
-			${QT5_BIN_PATH}/icudt54.dll
-			${QT5_BIN_PATH}/icuin54.dll
-			${QT5_BIN_PATH}/icuuc54.dll
+		DESTINATION "/"
+		CONFIGURATIONS Release)
+	# The files below are common to all configurations
+	install(FILES
+
 			${SQLITE3_DLL}
+
 			${OPENSSL_PATH}/libeay32.dll
 			${OPENSSL_PATH}/ssleay32.dll
-		DESTINATION bin)
+		DESTINATION "/")
 	install(FILES
 		${QT5_PATH}/plugins/platforms/qwindows.dll
-		DESTINATION bin/platforms)
-
-	install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/deps/${VSREDIST} DESTINATION tmp)
+		DESTINATION platforms)
+	install(PROGRAMS "${VSREDIST_DIR}/${VSREDIST}" DESTINATION redist)
 endif()
 
 #cpack
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "DB Browser for SQLite")
-set(CPACK_PACKAGE_VENDOR "oldsch00l")
+set(CPACK_PACKAGE_VENDOR "DB Browser for SQLite Team")
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
 set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
 set(CPACK_PACKAGE_VERSION_MAJOR "3")
-set(CPACK_PACKAGE_VERSION_MINOR "8")
-set(CPACK_PACKAGE_VERSION_PATCH "0")
-set(CPACK_PACKAGE_INSTALL_DIRECTORY "SqliteBrowser${CPACK_PACKAGE_VERSION_MAJOR}")
+set(CPACK_PACKAGE_VERSION_MINOR "9")
+set(CPACK_PACKAGE_VERSION_PATCH "1")
+set(CPACK_PACKAGE_INSTALL_DIRECTORY "DB Browser for SQLite")
 if(WIN32 AND NOT UNIX)
-	# There is a bug in NSI that does not handle full unix paths properly. Make
+	# There is a bug in NSIS that does not handle full unix paths properly. Make
 	# sure there is at least one set of four (4) backlasshes.
 	set(CPACK_PACKAGE_ICON "${CMAKE_CURRENT_SOURCE_DIR}\\\\src\\\\iconwin.ico")
-	set(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\sqlitebrowser.exe")
+        set(CPACK_NSIS_MUI_ICON "${CMAKE_CURRENT_SOURCE_DIR}\\\\src\\\\iconwin.ico")
+	set(CPACK_NSIS_EXECUTABLES_DIRECTORY "/")
+	set(CPACK_NSIS_INSTALLED_ICON_NAME "DB Browser for SQLite.exe")
 	set(CPACK_NSIS_DISPLAY_NAME "DB Browser for SQLite")
 	set(CPACK_NSIS_HELP_LINK "https:\\\\\\\\github.com\\\\sqlitebrowser\\\\sqlitebrowser")
 	set(CPACK_NSIS_URL_INFO_ABOUT "https:\\\\\\\\github.com\\\\sqlitebrowser\\\\sqlitebrowser")
-	set(CPACK_NSIS_CONTACT "peinthor@gmail.com")
+	set(CPACK_NSIS_CONTACT "justin@postgresql.org")
 	set(CPACK_NSIS_MODIFY_PATH OFF)
 	set(CPACK_NSIS_ENABLE_UNINSTALL_BEFORE_INSTALL ON)
-	set(CPACK_NSIS_MUI_FINISHPAGE_RUN "sqlitebrowser.exe")
+	set(CPACK_NSIS_MUI_FINISHPAGE_RUN "DB Browser for SQLite.exe")
+	set(CPACK_NSIS_COMPRESSOR "/SOLID lzma")
 
 	# VS redist
-	list(APPEND CPACK_NSIS_EXTRA_INSTALL_COMMANDS "
-               ExecWait '$INSTDIR\\\\tmp\\\\${VSREDIST} /install /passive /quiet'
-               Delete '$INSTDIR\\\\tmp\\\\${VSREDIST}'
-               ")
-else(WIN32 AND NOT UNIX)
-	set(CPACK_STRIP_FILES "bin/sqlitebrowser")
-	set(CPACK_SOURCE_STRIP_FILES "")
-endif(WIN32 AND NOT UNIX)
-set(CPACK_PACKAGE_EXECUTABLES "sqlitebrowser" "SqliteBrowser")
-include(CPack)

=== libs/qcustomplot-source/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.7)

if(USE_QT5)
    set(CMAKE_AUTOMOC ON)
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
    find_package(Qt5Widgets REQUIRED)
else()
    find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
    include("${QT_USE_FILE}")
    add_definitions(${QT_DEFINITIONS})
endif()

set(QCUSTOMPLOT_SRC
	qcustomplot.cpp
)

set(QCUSTOMPLOT_HDR
)

set(QCUSTOMPLOT_MOC_HDR
	qcustomplot.h
)

if(NOT USE_QT5)
    QT4_WRAP_CPP(QCUSTOMPLOT_MOC ${QCUSTOMPLOT_MOC_HDR})
endif()

add_library(qcustomplot ${QCUSTOMPLOT_SRC} ${QCUSTOMPLOT_HDR} ${QCUSTOMPLOT_MOC})

if(USE_QT5)
	qt5_use_modules(qcustomplot Widgets PrintSupport)
endif()

=== libs/qhexedit/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.7)

if(USE_QT5)
    set(CMAKE_AUTOMOC ON)
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
    find_package(Qt5Widgets REQUIRED)
else()
    find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
    include("${QT_USE_FILE}")
    add_definitions(${QT_DEFINITIONS})
endif()

set(QHEXEDIT_SRC
    src/qhexedit.cpp
    src/chunks.cpp
    src/commands.cpp
)

set(QHEXEDIT_HDR
    src/chunks.h
    src/commands.h
)

set(QHEXEDIT_MOC_HDR
	src/qhexedit.h
	src/commands.h
)

if(NOT USE_QT5)
    QT4_WRAP_CPP(QHEXEDIT_MOC ${QHEXEDIT_MOC_HDR})
endif()

add_library(qhexedit ${QHEXEDIT_SRC} ${QHEXEDIT_HDR} ${QHEXEDIT_MOC})

if(USE_QT5)
    qt5_use_modules(qhexedit Widgets)
endif()

=== libs/qscintilla/Qt4Qt5/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,10 @@
     find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
     include("${QT_USE_FILE}")
     add_definitions(${QT_DEFINITIONS})
+endif()
+
+if(APPLE AND USE_QT5)
+    find_package(Qt5MacExtras)
 endif()
 
 add_definitions(-DSCINTILLA_QT)
@@ -154,5 +158,9 @@
 add_library(qscintilla2 ${QSCINTILLA_SRC} ${QSCINTILLA_HDR} ${QSCINTILLA_MOC_HDR} ${QSCINTILLA_MOC})
 
 if(USE_QT5)
-    qt5_use_modules(qscintilla2 Widgets PrintSupport)
+    if (APPLE)
+        qt5_use_modules(qscintilla2 Widgets PrintSupport MacExtras)
+    else()
+        qt5_use_modules(qscintilla2 Widgets PrintSupport)
+    endif()
 endif()

=== debian/changelog ===
sqlitebrowser (3.9.1-2) unstable; urgency=medium

  * Remove the menu file
  * USe https url's in the Vcs fields
  * Bump Standards-Version to 3.9.8.0
  * Upgrade to Debhelper 10

 -- Arto Jantunen <viiru@debian.org>  Sun, 25 Dec 2016 13:09:47 +0200

sqlitebrowser (3.9.1-1) unstable; urgency=medium

  * New upstream version
  * Rebase patch
  * Add patch to remove spaces from the CMake project name

 -- Arto Jantunen <viiru@debian.org>  Thu, 10 Nov 2016 22:42:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: database
 Priority: extra
 Maintainer: Arto Jantunen <viiru@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libsqlite3-dev, cmake, libantlr-dev, libqcustomplot-dev, qttools5-dev, qttools5-dev-tools, libqt5scintilla2-dev
-Standards-Version: 3.9.6.0
+Build-Depends: debhelper (>= 10), qtbase5-dev, libsqlite3-dev, cmake, libantlr-dev, libqcustomplot-dev, qttools5-dev, qttools5-dev-tools, libqt5scintilla2-dev
+Standards-Version: 3.9.8.0
 Homepage: http://sqlitebrowser.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sqlitebrowser.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/sqlitebrowser.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/sqlitebrowser.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/sqlitebrowser.git
 
 Package: sqlitebrowser
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel 

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_QT5=True -DENABLE_TESTING=True
